Bug 35385 - Remove task-select.udeb
Remove task-select.udeb
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Alexander Kramer
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-16 12:02 CEST by Philipp Hahn
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-07-16 12:02:29 CEST
The Debian installer should only install a minimalistiv system; all further customization is done through Univention System Setup.
Comment 1 Philipp Hahn univentionstaff 2014-07-17 09:56:46 CEST
May be done through pre-seeding:
  tasksel tasksel/first multiselect standard
Comment 2 Philipp Hahn univentionstaff 2014-07-17 15:42:26 CEST
This has been done through preseeding through build-cd-ucs4: r51925
Removing the udebs does not yet seem to work: r51926

Package: repo-ng
Version: 2.0-50.1299.201407171538
User: phahn
Branch: ucs_3.2-0
Scope: internal
Comment 3 Philipp Hahn univentionstaff 2014-07-18 16:04:29 CEST
r51966: The following udeb have been removed:
+apt-mirror-setup
+apt-setup-udeb
+choose-mirror
+choose-mirror-bin
+#
+debian-archive-keyring-udeb
+debian-edu-archive-keyring-udeb
+debian-ports-archive-keyring-udeb
+emdebian-archive-keyring-udeb
+#
+pkgsel
+#
+user-setup-udeb
+#
+lilo-installer
Comment 4 Philipp Hahn univentionstaff 2014-08-26 13:37:15 CEST
r53027 | Bug #35659 CD: Install recommended packages
   pkgsel is used again, as "base-installer/includes" is passed to debootstrap, while "pkgsel/include" is installed after deboostrap. During deboostrap too many packages are not configured yet, which especially breaks UCR.
  During "pkgsel" installing recommended packages is also re-enabled, but this still fails, because univention-kernel-image -> univention-initrd -> univention-config-registry -> univention-base-packages is still installed too early, where recommends are not yet enabled.

Package: repo-ng
Version: 2.0-63.1309.201408261305
Branch: ucs_3.2-0
Scope: internal

Package: univention-dvd
Version: 0.2.0-13.14.201408261306
Branch: ucs_4.0-0
Comment 5 Alexander Kramer univentionstaff 2014-08-27 09:43:55 CEST
Looks good. There are no options in the debian installer to install additional programms/services.

Tested with:
26. Aug 22:55 ucs_4.0-0-20140826-224541-dvd-amd64.iso
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:54:06 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".